// Code generated by MockGen. DO NOT EDIT.
// Source: ./schulden_usecase.go

// Package mock is a generated GoMock package.
package mock

import (
	debtregister "debtregister"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockOverzichtRepository is a mock of OverzichtRepository interface.
type MockOverzichtRepository struct {
	ctrl     *gomock.Controller
	recorder *MockOverzichtRepositoryMockRecorder
}

// MockOverzichtRepositoryMockRecorder is the mock recorder for MockOverzichtRepository.
type MockOverzichtRepositoryMockRecorder struct {
	mock *MockOverzichtRepository
}

// NewMockOverzichtRepository creates a new mock instance.
func NewMockOverzichtRepository(ctrl *gomock.Controller) *MockOverzichtRepository {
	mock := &MockOverzichtRepository{ctrl: ctrl}
	mock.recorder = &MockOverzichtRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockOverzichtRepository) EXPECT() *MockOverzichtRepositoryMockRecorder {
	return m.recorder
}

// FindByBSN mocks base method.
func (m *MockOverzichtRepository) FindByBSN(bsn *debtregister.BSN) ([]debtregister.Schuld, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FindByBSN", bsn)
	ret0, _ := ret[0].([]debtregister.Schuld)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FindByBSN indicates an expected call of FindByBSN.
func (mr *MockOverzichtRepositoryMockRecorder) FindByBSN(bsn interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FindByBSN", reflect.TypeOf((*MockOverzichtRepository)(nil).FindByBSN), bsn)
}
